//
// Created by martin on 21.11.21.
//

#include "AnimNodes/AnimSamplerNode.h"
#include "catch.hpp"

TEST_CASE("AnimSamplerNode", "[AnimSamplerNode]") {
  SkinnedMesh skinned_mesh;
  skinned_mesh.LoadSkeleton("../media/MixamoYBot-skeleton.ozz");
  int anim_idx = 0;
  skinned_mesh.LoadAnimation("../media/Walking-loop.ozz");
  float walking_markers[] = {0.293, 0.762};
  skinned_mesh.m_animation_sync_track[anim_idx] = SyncTrack::CreateFromMarkers(skinned_mesh.m_animations[anim_idx]->duration(), 2, walking_markers);

  AnimationController anim_controller(&skinned_mesh);
  AnimSamplerNode test_node (&anim_controller);
}